exports.buttonBar = function (properties) 
{
	var activeIndex = 'undefined' == typeof properties.selectedIndex ? 0 : properties.selectedIndex;
	var buttons = [];

	var bar = Ti.UI.createView({
		width: 600,
		height: properties.buttonHeight
	});

	function selectButton(index) 
	{
		Ti.API.info("**************index:"+index);
		Ti.API.info("**************activeIndex:"+activeIndex);
		
		Ti.API.info("**************buttons[index]"+buttons[index].onImage);
		buttons[index].backgroundImage = buttons[index].onImage;
		
		Ti.API.info("**************buttons[activeIndex]"+buttons[activeIndex].offImage);
		Ti.API.info("**************buttons[activeIndex].backgroundImage: "+buttons[activeIndex].backgroundImage);
		buttons[activeIndex].backgroundImage = buttons[activeIndex].offImage; // causes the app to restart
		
		activeIndex = index;
	}

	properties.buttons.forEach(function (buttonPath, i) 
	{
		var btn = Ti.UI.createImageView({
			width: properties.buttonWidth,
			height: properties.buttonHeight,
			onImage: buttonPath + '-on.png',
			offImage: buttonPath + '.png',
			left: (properties.buttonWidth + properties.gutterWidth) * i
		});
		
		btn.backgroundImage = (i == activeIndex) ? btn.onImage : btn.offImage;

		btn.addEventListener('click', function (e) {
			selectButton(i);
		});

		buttons.push(btn);
		bar.add(btn);
	});

	return bar;
};